import {extend} from "lodash";

import {getJSS} from "./jss";

export default function createStyleSheet(styles,{preserveClassNames,opts} = {}) {
  const jss = getJSS();
  if (preserveClassNames) {
    opts = extend({
      generateClassName: (rule) => rule.key,
    },opts);
  }

  const stylesheet = jss.createStyleSheet(styles,opts);

  stylesheet.getClasses = (...classNames)=>{
    return classNames.map((n)=>{
      return stylesheet.classes[n];
    }).join(" ");
  };

  return stylesheet;
}
