import {isArray,isFunction} from "lodash";

export default function getStyles(components,themeProps) {

  const styleList = [];

  function _getStyles(styles) {

    const className = styles.className;

    if (isFunction(styles)) {
      styles = styles(themeProps);
    }

    if (isArray(styles)) {
      styles.forEach((r)=>{
        _getStyles(r);
      });
      return;
    }

    if (!styles.className) {
      styles.className = className;
    }

    styleList.push(styles);
  }

  _getStyles(components);
  return styleList;
}
