import jss from "jss";
import jssNested from "jss-nested";
import jssVendorPrefix from "jss-vendor-prefixer";
import jssCamelCase from "jss-camel-case";


let _jssInitialised = false;

export const defaultJSSSetup = {
  plugins: [
    jssNested(),
    jssVendorPrefix(),
    jssCamelCase(),
  ],
};

export function getJSS() {
  if (!_jssInitialised) {
    jss.setup(defaultJSSSetup);
    _jssInitialised = true;
  }
  return jss;
}
