import {get} from "lodash";
import {createBootstrapStyleSheet} from "../index";
import formsAll from "./forms";
import {validProps,validateCSS} from "../lib/test-utils";


describe("forms",()=>{

  const sheet = createBootstrapStyleSheet([formsAll],{},{preserveClassNames: true});
  const css = sheet.toString();

  it("should return a valid style object",()=>{
    expect(validProps(sheet.rules.raw)).toBe(true);
  });
  it("should return valid css",()=>{
    return validateCSS(css).then((valid)=>{
      expect(valid).toBe(true);
    });
  });
  it("should match css snapshot",()=>{
    expect(sheet.toString()).toMatchSnapshot();
  });

  it("should have a form-control class",()=>{
    expect(get(sheet,"classes.form-control")).toBe("form-control");
  });
  it("should have a form-check class",()=>{
    expect(get(sheet,"classes.form-check")).toBe("form-check");
  });
  it("should have a was-validated class",()=>{
    expect(get(sheet,"classes.was-validated")).toBe("was-validated");
  });


});
