import getProps from "../../lib/get-props";
import {options,component} from "../../variables";

// Single side border-radius

function applyIfEnabled(themeProps,radius,styles) {
  const {optionsProps,componentProps} = getProps(themeProps,{options,component});
  if (optionsProps.enableRounded) {
    if (!radius) { radius = componentProps.borderRadius; }
    return styles(radius);
  }
  return {};
}

export function borderRadius(themeProps,radius) {
  return applyIfEnabled(themeProps,radius,(r)=>{
    return {
      borderRadius: r,
    };
  });
}

export function borderTopRadius(themeProps,radius) {
  return applyIfEnabled(themeProps,radius,(r)=>{
    return {
      borderTopLeftRadius: r,
      borderTopRightRadius: r,
    };
  });
}

export function borderRightRadius(themeProps,radius) {
  return applyIfEnabled(themeProps,radius,(r)=>{
    return {
      borderTopRightRadius: r,
      borderBottomRightRadius: r,
    };
  });
}

export function borderBottomRadius(themeProps,radius) {
  return applyIfEnabled(themeProps,radius,(r)=>{
    return {
      borderBottomLeftRadius: r,
      borderBottomRightRadius: r,
    };
  });
}

export function borderLeftRadius(themeProps,radius) {
  return applyIfEnabled(themeProps,radius,(r)=>{
    return {
      borderTopLeftRadius: r,
      borderBottomLeftRadius: r,
    };
  });
}
