
import {merge} from "lodash";
import {options} from "../../variables";
import getProps from "../../lib/get-props";


export function hover(themeProps,styles) {
  return {
  // TODO: re-enable along with mq4-hover-shim
//  @if $enable-hover-media-query {
//    // See Media Queries Level 4: https://drafts.csswg.org/mediaqueries/#hover
//    // Currently shimmed by https://github.com/twbs/mq4-hover-shim
//    @media (hover: hover) {
//      &:hover { @content }
//    }
//  }
//  @else {
    "&:hover": styles,
  };
}


export function hoverFocus(themeProps,styles) {
  const {optionsProps} = getProps(themeProps,{options});
  if (optionsProps.enableHoverMediaQuery) {
    return merge(
      {
        "&:focus": styles,
      },
      hover(themeProps,styles)
    );
  }
  return {
    "&:focus, &:hover": styles,
  };
}

export function plainHoverFocus(themeProps,styles) {
  const {optionsProps} = getProps(themeProps,{options});
  if (optionsProps.enableHoverMediaQuery) {
    return merge(
      {
        "&, &:focus": styles,
      },
      hover(themeProps,styles)
    );
  }
  return {
    "&, &:focus, &:hover": styles,
  };
}

export function hoverFocusActive(themeProps,styles) {
  const {optionsProps} = getProps(themeProps,{options});
  if (optionsProps.enableHoverMediaQuery) {
    return merge(
      {
        "&:active, &:focus": styles,
      },
      hover(themeProps,styles)
    );
  }
  return {
    "&:active, &:focus, &:hover": styles,
  };
}
